# ==================================================================
#   JS da página de edição de uma regra / perfil
#   Author: Luís Dalmolin <luis@escape.ppg.br>
# ==================================================================

$boxPermissions = $('#box-permissions')

$('[data-check-all]').on('click', (e) ->
    $this = $(this)
    page  = $this.data('check-all')

    if $this.prop('checked') == true
        $('[data-page="'+page+'"]').prop('checked', true)
    else
        $('[data-page="'+page+'"]').prop('checked', false)
)

$('input[name="all_permissions"]').on('click', (e) ->
    $this = $(this)
    console.log($this.val())
    if $this.val() == '1'
        $boxPermissions.hide()
    else
        $boxPermissions.show()
)

$('.js-controls-permissions').each((e) ->
    $this   = $(this)
    total   = $this.find('[data-page]')
    checked = $this.find('[data-page]:checked')

    if total.size() == checked.size()
        $this.find('[data-check-all]').prop('checked', true)
)