<?php namespace EscapeWork\Manager\Seeds;

use Seeder;
use DateTime;
use EscapeWork\Manager\Models\Page;
use EscapeWork\Manager\Models\PageAction;

class PageActionTableSeeder extends Seeder
{

    public function run()
    {
        if (Page::find(1)) {
            if (! PageAction::find(1)) {
                PageAction::create(array(
                    'id'              => 1,
                    'page_id'         => 1,
                    'title'           => 'Listar registros',
                    'type'            => 'read',
                    'created_at'      => new DateTime,
                    'updated_at'      => new DateTime,
                ));
            }

            if (! PageAction::find(2)) {
                PageAction::create(array(
                    'id'              => 2,
                    'page_id'         => 1,
                    'title'           => 'Inserir registros',
                    'type'            => 'create',
                    'created_at'      => new DateTime,
                    'updated_at'      => new DateTime,
                ));
            }

            if (! PageAction::find(3)) {
                PageAction::create(array(
                    'id'              => 3,
                    'page_id'         => 1,
                    'title'           => 'Editar registros',
                    'type'            => 'update',
                    'created_at'      => new DateTime,
                    'updated_at'      => new DateTime,
                ));
            }

            if (! PageAction::find(4)) {
                PageAction::create(array(
                    'id'              => 4,
                    'page_id'         => 1,
                    'title'           => 'Excluir registros',
                    'type'            => 'destroy',
                    'created_at'      => new DateTime,
                    'updated_at'      => new DateTime,
                ));
            }
        }
    }
}