<?php

return array(

    /*
    |--------------------------------------------------------------------------
    | URL do manager
    |--------------------------------------------------------------------------
    */
    'url' => '/manager',

    /*
    |--------------------------------------------------------------------------
    | Home Route
    | - A rota para a página inicial (link do logo no manager)
    |--------------------------------------------------------------------------
    */
    'routes' => array(
        'home' => 'home'
    ),

    /*
    |--------------------------------------------------------------------------
    | Página para redirecionar após o login
    |--------------------------------------------------------------------------
    */
    'redirect_login' => 'manager.home',

    /*
    |--------------------------------------------------------------------------
    | Título e subtítulo do manager
    |--------------------------------------------------------------------------
    */
    'title'    => 'escape.manager',
    'subtitle' => 'Manager',

    /*
    |--------------------------------------------------------------------------
    | Views que podem ser sobreescritas
    |--------------------------------------------------------------------------
    */
    'views' => array(
        'home'    => 'manager::home',
        'menu'    => null,
        'layouts' => array(
            'master' => 'manager::layouts.master',
            'email'  => 'manager::layouts.email',
        ),
    ),

    /*
    |--------------------------------------------------------------------------
    | Controllers que podem ser sobreescritos
    |--------------------------------------------------------------------------
    */
    'controllers' => array(
        'home' => 'EscapeWork\Manager\Controllers\HomeController@index',
    ),

    /*
    |--------------------------------------------------------------------------
    | Favicon path, do manager::layout.master
    |--------------------------------------------------------------------------
    */
    'favicon_path' => '/assets/images/favicon.ico',
);
